本帖最后由 kucha007 于 2024-3-8 22:03 编辑
天正对象的属性
有的有版本有,有的版本又没有。有时候能赋予,有时候又不能,故而写了这两个函数避免出错,希望有用~
- ;如果属性存在就获取
- (defun K:GetProp (Obj Func)
- (setq Func (if (= 'SYM (type Func)) Func (function Func)))
- (if (vlax-property-available-p Obj Func);存在
- (vlax-Get-property Obj Func)
- )
- )
- ;如果属性存在且可修改就赋予
- (defun K:PutProp (Obj Func Var)
- (setq Func (if (= 'SYM (type Func)) Func (function Func)))
- (if (and
- (vlax-property-available-p Obj Func T);存在且可修改
- (not (null Var));不为Nil
- )
- (not (vlax-put-property Obj Func Var));返回T
- )
- )
用法:
- (setq obj (vlax-ename->vla-object (car (nentsel))))
- (K:GetProp obj 'ArrowStyle)
- (K:PutProp obj 'ArrowStyle "箭头")
|